---
layout: page
title: Informationen
permalink: /informationen/
ref: infos
lang: de
---

## Inhalte {#toc}

<!-- NOTE this is (currently?) just a manually maintained list. -->
- [Was ist JLU GitLab?](#what_is_jlugitlab)
- [Anwendungsmöglichkeiten](#use_cases)
- [Keine Speicherung von Forschungsdaten](#research_data)
- [Wer kann JLU GitLab benutzen?](#potential_users)
- [Wie kann ich JLU GitLab benutzen?](#how_to_use)
- [Kündigung des Nutzungskontos](#deletion_account)
    - [Was passiert wenn ich die JLU verlasse?](#leaving_JLU)
    - [Was passiert wenn meine g- oder s-Kennung ungültig wird?](#deletion_from_ldap)
    - [Was passiert mit meinen Daten wenn mein Konto gelöscht wird?](#deletion_userdata)
- [Wer betreibt JLU GitLab?](#maintainers)
- [Die Ziele von JLU GitLab](#our_goals)
- [Zukunftspläne](#future_plans)
- [Kontaktinformationen](#contact)


## Was ist JLU GitLab? {#what_is_jlugitlab}

JLU GitLab ist eine [GitLab-Webanwendung](https://de.wikipedia.org/wiki/GitLab){:target="_blank"}.
GitLab ist ein vielseitiges Werkzeug für die Verwaltung von Projekten, die das Bearbeiten von Dateien involvieren.
Kern jedes GitLab-Projekts ist ein [Git-Repository](https://de.wikipedia.org/wiki/Git){:target="_blank"}, mit dem der Bearbeitungsstand versioniert werden kann.
GitLab bietet für jedes Projekt zusätzlich ein Wiki, ein Ticketsystem, und vieles mehr.

JLU GitLab ist erreichbar unter [https://gitlab.test.uni-giessen.de](https://gitlab.test.uni-giessen.de){:target="_blank"} und läuft im [Hochschulrechenzentrum der Justus-Liebig-Universität (JLU) Gießen](https://www.uni-giessen.de/fbz/svc/hrz){:target="_blank"}.
Die eingesetzte GitLab Community Edition ist als freie Software lizensiert, sodass JLU GitLab technisch und juristisch von [GitLab.com](https://gitlab.com){:target="_blank"} unabhängig ist.
JLU GitLab wird von einem Team freiwilliger Mitarbeitenden betrieben, [siehe unten](#maintainers).

## Anwendungsmöglichkeiten {#use_cases}

* In [Good enough practices in scientific computing von G. Wilseon et. al. (2017)](http://journals.plos.org/ploscompbiol/article?id=10.1371/journal.pcbi.1005510){:target="_blank"}
    wird die Motivation und die Verwendung von Versionierungswerkzeugen für z.B. wissenschaftlichen Programmcode beschrieben.
* TODO: Weitere hinzufügen.

## Keine Speicherung von Forschungsdaten {#research_data}

JLU GitLab ist derzeit nicht für die Speicherung von Forschungsdaten vorgesehen.
Es wird hiervon ausdrücklich abgeraten.

Für die Speicherung von Forschungsdaten stehen an der JLU die [JLUbox](https://www.uni-giessen.de/fbz/svc/hrz/svc/daten/jlubox){:target="_blank"} sowie [Netzlaufwerke](https://www.uni-giessen.de/fbz/svc/hrz/svc/daten/san/index_html){:target="_blank"} zur Verfügung.
Bei Fragen des Forschungsdatenmanagements hilft Ihnen [dieser FAQ](https://www.uni-giessen.de/ub/digitales-publizieren/fdm/faq/){:target="_blank"} weiter oder wenden Sie sich per E-Mail an [forschungsdaten@uni-giessen.de](mailto:forschungsdaten@uni-giessen.de).

## Wer kann JLU GitLab benutzen? {#potential_users}

Derzeit niemand; es muss erst eine [Benutzungsordnung]({{ '/benutzungsordnung/' | relative_url }}) geschrieben werden.

Sobald dies geschehen ist, können alle Studierenden und Mitarbeitenden mit einer gültigen s- oder g-Kennung ein Nutzungskonto eröffnen, sofern sie die Benutzungsordnung akzeptieren.
Dies bedeutet, dass sich Sichtbarkeitsstufe *internal* von [Projekten]({{ '/hilfe/#project_visibility' | relative_url }}) und [Nutzergruppen]({{ '/hilfe/#group_visibility' | relative_url }}) auf diese Personengruppe bezieht.

Bitte beachten Sie, dass JLU GitLab derzeit nur innerhalb des Universitätsnetzes erreichbar ist.
Dies bedeutet, dass sich Sichtbarkeitsstufe *public* von [Projekten]({{ '/hilfe/#project_visibility' | relative_url }}) und [Nutzergruppen]({{ '/hilfe/#group_visibility' | relative_url }}) auf alle bezieht, die Zugriff auf das Universitätznetz haben.
Von außerhalb ist der Zugriff über das [VPN der Universität](https://www.uni-giessen.de/fbz/svc/hrz/svc/netz/campus/vpn){:target="_blank"} möglich.


## Wie kann ich JLU GitLab benutzen? {#how_to_use}

Information zur konkreten Benutzung von JLU GitLab finden Sie auf [Hilfe zur Benutzung]({{ '/hilfe/' | relative_url }}).

## Kündigung des Nutzungskontos {#deletion_account}

Nutzungskontos von JLU GitLab können auf verschiedene Weisen gekündigt werden:

- Nutzende können jederzeit freiwillig ihr Nutzungskonto löschen.
  Falls Sie ihr Nutzungskonto löschen möchten, folgen Sie bitte [diesen Schritten]({{ '/hilfe/#deletion_account' | relative_url }}).
  Sie können auch noch ein paar [letzte Schritte]({{ '/hilfe/#last_steps' | relative_url }}) bedenken, bevor Sie ihr Konto löschen.
- Das Konto wird nach einer Frist von 6 Monaten gelöscht nachdem ihre [g- oder s-Kennung ungültig geworden ist](#deletion_from_ldap), was meist dann passiert wenn Sie die [Universität verlassen](#leaving_JLU).
- Die [Betreibenden](#maintainers) können ein Nutzungskonto löschen, wenn dessen Aktivitäten die [Benutzungsordnung]({{ '/benutzungsordnung/' | relative_url }}) verletzt.

Lesen sie unten [welche Daten gelöscht werden](#deletion_userdata), neben Ihrem Nutzungskonto.

### Was passiert wenn ich die JLU verlasse? {#leaving_JLU}

Wenn Sie die Universität verlassen (z.B. Vertragsende, Exmatrikulation), wird innerhalb weniger Wochen Ihre [g- oder s-Kennung ungültig](#deletion_from_ldap), sofern Sie nicht das [HRZ](https://www.uni-giessen.de/fbz/svc/hrz){:target="_blank"} kontaktieren um sie zu behalten.

### Was passiert wenn meine g- oder s-Kennung ungültig wird? {#deletion_from_ldap}

Wenn Ihre g- or s-Kennung ungültig wird, wird Ihr Nutzungskonto auf JLU GitLab automatisch innerhalb von 24 Stunden blockiert.
Wenn Ihr Konto blockiert ist, können Sie sich nicht mehr in JLU GitLab einloggen.
Nachdem Ihr Konto 6 Monate lang blockiert war, wird es gelöscht.
<!-- TODO: Was passiert, wenn diese(r) Nutzende der/die einzige Owner einer Gruppe war? -->

### Was passiert mit meinen Daten wenn mein Konto gelöscht wird? {#deletion_userdata}

Wieviele Ihrer Daten gelöscht werden hängt davon ab, wie Sie JLU GitLab genutzt haben, bevor Ihr Nutzungskonto gelöscht wird.
Grob gesagt werden Ihr Konto und alle Ihre eigenen Projekte gelöscht.
Allerdings werden Daten, die Sie in Projekten von anderen Personen (oder Gruppen) beigetragen haben nicht gelöscht - aber möglichst anonymisiert.

Um mehr Details zu erläutern, bedient sich die folgende Erklärung einiger [notwendiger Begriffe zu Git und GitLab]({{ '/hilfe/#essential_terms' | relative_url }}).

Wenn Ihr Nutzungskonto gelöscht wird, werden auch alle Daten aus ihrem Profil gelöscht, mitsamt allen Projekten in ihrem *Namensraum*.
Beachten Sie, dass Projekte in Ihrem Namensraum auch dann gelöscht werden, wenn diese andere Projektmitglieder haben.
Sie können einige [letzte Schritte]({{ '/help/#last_steps' | relative_url }}) unternehmen, um mögliche Ärgernisse zu vermeiden.

Daten die Sie in Projekten in anderen Namensräumen (von anderen Nutzenden oder Gruppen) beigetragen haben werden nicht gelöscht - aber soweit möglich anonymisiert.
Dies verhindert Beeinträchtigungen der Arbeit der verbleibenden Mitglieder, die möglicherweise auf Ihren Beiträgen aufbaut.
Zum Beispiel bleibt der Inhalt Ihrer Kommentare im Ticketsystem eines anderen Projekts lesbar, bloß ohne Verbindung zu ihrem (gelöschten) Nutzungskonto.
Stattdessen werden Ihre Kommentare scheinbar von einem *Ghost*-Konto stammen, das Platzhalter-Konto in GitLab ist um solche anonymen Daten zu verwalten.

Eine wichtige Ausnahme sind Ihre Git-*Commits* in Projekten in anderen Namensräumen:
Alle Informationen, die beim Anlegen des Commits vorlagen, werden genauso bleiben, und können nicht geändert oder gelöscht werden ohne ein neues Repository anzulegen.
Beachten Sie auch, dass ihre Commit-Daten wahrscheinlich nicht nur auf JLU GitLab gespeichert sind, sondern auf den Geräten anderer Mitglieder, da die Git-Kommandos *push* und *pull* das gesamte Repository zwischen Geräten synchronisieren kann.
Wichtig ist dabei, dass Commits ihren tatsächlichen Namen und E-Mail-Adresse enthalten können, je nach Ihren Einstellungen am eigenen Computer und in JLU GitLab.
[Lesen Sie hier]({{ '/hilfe/#settings_privacy' | relative_url }}) über Einstellmöglickeiten bezüglich privater Informationen.


## Wer betreibt JLU GitLab? {#maintainers}

Wir sind ein Team von JLU-Mitarbeitenden die freiwillig an JLU GitLab arbeiten.
Wir arbeiten in Rücksprache mit der [JLU-internen IKM-AG](https://www.uni-giessen.de/org/cio/cio/ikm-ag){:target="_blank"} und wir nutzen für den Betrieb ausschließlich Infrastruktur des Hochschulrechenzentrums.
Wir sind immer auf der Suche nach weiteren Freiwilligen die uns unterstützen wollen.

Wir sind auf verschiedene Weisen erreichbar, siehe [Kontaktinformation](#contact).


## Die Ziele von JLU GitLab {#our_goals}

JLU GitLab dient zunächst der Bedarfserfassung innerhalb der JLU und der Evaluation der Funktionalitäten im Forschungskontext.
Wir glauben, dass Git und GitLab die besten zeitgemäßen Werkzeuge sind, um die Software und Dokumentation unserer Forschungsprojekte zu verwalten.
Nur eine lokal installiertes, frei lizensiertes Werkzeug wie GitLab genügt dem Anspruch, die volle Kontrolle über dessen Implementation und Administration langfristig zu wahren.
<!-- NOTE: Löschen, oder zu FDM hinzugefügen und klären?
In diesem Zusammenhang scheint erwähnenswert, dass die Dokumentation und Software, die zum Verständnis von Forschungsdaten notwendig ist, laut der [Forschungsdaten-Leitlinie der JLU](https://www.uni-giessen.de/mug/5/pdf/forschung/5_00_00_1) selbst als Forschungsdaten gelten.
-->

## Zukunftspläne {#future_plans}

Nachdem JLU GitLab universitätsintern nutzbar ist, haben wir weitere Pläne um es noch nützlicher zu machen.
Wir würden gerne...

- ...den Zugang zu JLU GitLab direkt aus dem Internet ermöglichen, ohne VPN
- ...ein Verfahren anbieten um Benutzungskonten für Menschen außerhalb der JLU zu ermöglichen
- ...der Möglichkeit nachgehen wie Inhalte per [GitLab Pages](https://docs.gitlab.com/ce/user/project/pages/){:target="_blank"} publiziert werden können
- ...die Verwendung von [Git Large File Storage (LFS)](https://docs.gitlab.com/ce/workflow/lfs/manage_large_binaries_with_git_lfs.html){:target="_blank"} erörtern


## Kontakt {#contact}

Für Anfragen nach Hilfe und Unterstützung schreiben Sie bitte eine Email an die Mailingliste für Hilfe, [gitlab-help@lists.uni-giessen.de](mailto:gitlab-help@lists.uni-giessen.de).

Wir organisieren und dokumentieren unsere Arbeit in GitLab Projekten.
Wer Interesse an unserer Arbeitsweise und Entscheidungsfindung hat und mehr wissen möchte, kann uns unter [gitlab-admin@lists.uni-giessen.de](mailto:gitlab-admin@lists.uni-giessen.de) kontaktieren.
